Packages - Bug #2560

error: file '/initramfs-linux-libre.img' not found
2019-11-30 01:28 AM - anarcobuda

Status: not-a-bug % Done: 0%
Priority: bug

Assignee: Megver83

Category:

Description

hello

i did a clean openrc install following the installation guide
i did everything in the guide except installing a graphical desktop environment because openrc-desktop had conflicting files with itself

after i installed the linux-libre kernel, i ran
mkinitcpio -p linux-libre

unmounted everything and after rebooting i was greeted with this error

History

#1 - 2019-12-01 08:29 PM - bill-auger

- Assignee set to Megver83

neither freemor or myself could reproduce this behavior either with systemd or openrc - i just tried again after resolving the libsystemd.so conflict
#2556 but still i did not get this error

#2 - 2019-12-03 06:14 PM - Megver83

If you don't provide more info | cannot help. Show me you mkinitcpio and pacman output, and a more detailed explanation of your installation
procedure, at least

#3 - 2019-12-04 11:03 PM - bill-auger

- Status changed from unconfirmed to info needed

#4 - 2019-12-06 04:58 AM - anarcobuda

Megver83 wrote:

If you don't provide more info | cannot help. Show me you mkinitcpio and pacman output, and a more detailed explanation of your installation
procedure, at least

excuse me, megver83, for the lack of a quick answer

i experienced this problem when i was installing the net install openrc cli on my computer, following the installation guide from our wiki

i told about this problem on the irc chat with bill-auger and freemor, and after much inquiring we realized that my linux-libre.preset was empty, and i
typed the linux-libre.preset that freemor provided me, and that fixed the problem

all i can say is that somehow, even after reinstalling linux-libre kernel, the system didn't provide a preset for mkinit before it was fixed.
i wish i could provide more information about this, and i'm sorry i can't be more specific, because i'm using systemd until openrc eventually becomes
stable and this problem only happened this one time

i installed openrc two more times after that and i didn't come across this bug again, so it's better not to be concerned about this problem at the
moment

#5 - 2019-12-06 05:04 PM - bill-auger

- Status changed from info needed to not-a-bug

ok lets declare this was a fluke then - we can always re-opened the ticket if the problem appears again
